ActiveAdmin.register <%= @model_name %> do
  config.sort_order = 'start_at_asc'
  actions :all, except: :show

  filter :title
  filter :body
  filter :start_at
  filter :end_at
  filter :state, as: :select

  permit_params Eventful.params

  scope :all, default: true
  scope :current
  scope :upcoming
  scope :past

  index do
    selectable_column
    column :title
    column :start_at
    column(:state) { |item| state_label(item.state) }

    actions
  end

  form partial: 'admin/events/form'
end
